Loading...
Searching...
No Matches
Dune::Functions::RotateTuple< T > Struct Template Reference
Utility

Rotate type list by one, such that last entry is moved to first position. More...

`#include <dune/functions/common/utility.hh>`

## Public Types

using | type = typename Imp::RotateHelper<std::tuple<T...>, std::make_index_sequence<sizeof...(T)-1>>::type

## Detailed Description

template<class... T>
struct Dune::Functions::RotateTuple< T >

Rotate type list by one, such that last entry is moved to first position.

The rotated type list is exported as tuple

## Member Typedef Documentation

## type

template<class... T>

using Dune::Functions::RotateTuple< T >::type = typename Imp::RotateHelper<std::tuple<T...>, std::make_index_sequence<sizeof...(T)-1>>::type

The documentation for this struct was generated from the following file:

- utility.hh